<!doctype html>
<html>
<head>
    <title>GPT-2 Output Detector</title>
    <style type="text/css">
        * {
            box-sizing: border-box;
        }

        body {
            font-family: sans-serif;
            margin: 0;
        }

        h1 {
            font-weight: lighter;
        }

        a {
            text-decoration: none;
            color: #666;
        }

        a:hover {
            text-decoration: underline;
        }

        #container {
            margin: auto;
            width: 960px;
        }

        #textbox {
            font-family: serif;
            font-size: 16pt;
            width: 100%;
            height: 480px;
            padding: 20px 30px;
            line-height: 1.6;
        }

        .bar-row {
            height: 30px;
        }

        #real-percentage {
            width: 80px;
            vertical-align: top;
        }

        #bar-container {
            width: 800px;
            background-color: #ff7674;
            line-height: 0.5;
            position: relative;
            top: 6px;
        }

        #fake-percentage {
            width: 80px;
            vertical-align: top;
        }

        #bar {
            display: inline-block;
            height: 30px;
            background-color: #83aaff;
        }

        em {
            font-family: monospace;
            font-style: normal;
        }
    </style>
</head>
<body>
<div id="container">
    <h1 id="title">GPT-02 Output Detector</h1>
    <p>
        This an instance of the
        <a href="https://github.com/openai/gpt-2-output-dataset/tree/master/detector">GPT-2 output detector</a>
        model. Enter some text in the text box; the predicted probabilities will be displayed below.
        <u>The results start to get reliable after around 50 tokens.</u>
    </p>
    <textarea id="textbox" placeholder="Enter text here"></textarea>
    <div>
        <table cellspacing="0" cellpadding="0">
            <tr class="bar-row" style="vertical-align: bottom;">
                <td style="text-align: left;">Real</td>
                <td id="message" style="text-align: center;"></td>
                <td style="text-align: right;">Fake</td>
            </tr>
            <tr class="bar-row">
                <td id="real-percentage" style="text-align: left; vertical-align: bottom;"></td>
                <td id="bar-container">
                    <div id="bar" style="width: 50%;"></div>
                </td>
                <td id="fake-percentage" style="text-align: right; vertical-align: bottom;"></td>
            </tr>
        </table>
    </div>
</div>

<script src="main.js"></script>
>
</body>
</html>